Skip to main content
DELETE
/
v1
/
doc
/
{doc_hash_id}
Cancel a document
curl --request DELETE \
  --url https://app.getswipe.in/api/partner/v1/doc/{doc_hash_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.getswipe.in/api/partner/v1/doc/{doc_hash_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.getswipe.in/api/partner/v1/doc/{doc_hash_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "Document created successfully",
  "serialNumber": "SL123",
  "hashId": "SL123",
  "irn": "SL123",
  "qrCode": "",
  "einvoiceSuccess": true,
  "einvoiceMessage": "true"
}
{
"success": false,
"error_code": "INVALID_HASH_ID",
"message": "Some error occurred",
"errors": {}
}
{
"success": false,
"error_code": "INVALID_HASH_ID",
"message": "Some error occurred",
"errors": {}
}
{
"success": false,
"error_code": "INVALID_HASH_ID",
"message": "Some error occurred",
"errors": {}
}
{
"success": false,
"error_code": "INVALID_HASH_ID",
"message": "Some error occurred",
"errors": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer , where is your auth token.

Path Parameters

doc_hash_id
string
required

The hash id of the document to be cancelled

Query Parameters

cancel_einvoice
integer
default:0

Set to 1 if you want to cancel a document with e-invoice

Response

Success

success
boolean

Success

Example:

true

message
string

Message

Example:

"Document created successfully"

serialNumber
string

Serial Number

Example:

"SL123"

hashId
string

Hash ID

Example:

"SL123"

irn
string

IRN

Example:

"SL123"

qrCode
string

QR Code

Example:

""

einvoiceSuccess
boolean

EInvoice Success

Example:

true

einvoiceMessage
string

EInvoice Message

Example:

"true"